Get App Problems

Get App Problems
List Application problems

List Application problem events.

Request
URI
GET
https://{api_host}/api/ni/groups/applications/{id}/problems
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on

Query Parameters
number
size
Optional
Constraints: default: 10

Page size of results

string
cursor
Optional

Cursor from previous response

number
start_time
Optional

Start time for query in epoch seconds

number
end_time
Optional

End time for query in epoch seconds

string
event_type
Optional

Type of event, e.g UserDefinedProblemEvent

string of array
event_tags
Optional

Event tags

string,null
event_status
Optional
Constraints: default: all

Status of event open or closed

Possible values are : open, closed, all,
number
update_time_from
Optional

(Optional) Events that were created or updated or closed between this time and update_time_to, in seconds

number
update_time_to
Optional

(Optional) Events that were created or updated or closed between update_time_from and this time, in seconds


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PagedListResponseWithTime of type(s) application/json
{
    "results": [
        {
            "entity_id": "18230:35230:1233393386",
            "entity_type": "ProblemEvent",
            "time": 1509283820
        },
        {
            "entity_id": "18230:35228:1832167524",
            "entity_type": "ProblemEvent",
            "time": 1509285022
        }
    ],
    "cursor": {
        "example": "MTA="
    },
    "total_count": {
        "example": 15
    },
    "start_time": {
        "example": 1509231996
    },
    "end_time": {
        "example": 1509318396
    }
}
array of object
results
Optional

results

string
cursor
Optional

Cursor for the next page

integer
total_count
Optional

Total number of objects returned

integer As int64 As int64
start_time
Optional

Start timestamp of the window of the objects returned

integer As int64 As int64
end_time
Optional

End timestamp of the window of the objects returned


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/applications/{id}/problems